[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBNavButtonStyle

Controls the appearance and behavior of a navigator button.

## Declaration

Source position: dbctrls.pp line 1332

`type TDBNavButtonStyle = set of (`
`nsAllowTimer,` |  | Enables use of a timer for the operation performed by a navigator button.
`nsFocusRect` |  | Allows the button to be drawn with a focus rectangle.
`);`

## Description

TDBNavButtonStyle is an set type used to store information which controls the appearance and behavior for a button on a navigation control. TDBNavButtonStyle is the type used to implement the NavStyle property in TDBNavButton.

Remark: | These style options are not used in the current implementation of the LCL.

## See also

TDBNavButton.NavStyle |  | Set with the style values for the navigator button.